Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.bytes
Class OutputStream

    java.lang.Object
      org.pdfclown.bytes.OutputStream

All Implemented Interfaces:
  Closeable, IOutputStream, IStream

    public final class OutputStream

extends Object
implements IOutputStream

Output stream default implementation.

Version:
  0.1.0
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`OutputStream(OutputStream stream)`

Method Summary
`void` | `close()`
`protected void` | `finalize()`
`long` | `getLength()` Gets the length of the stream.
`void` | `write(byte[] data)` Writes a byte array into the stream.
`void` | `write(byte[] data, int offset, int length)` Writes a byte range into the stream.
`void` | `write(IInputStream data)` Writes an `IInputStream` into the stream.
`void` | `write(String data)` Writes a string into the stream.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputStream

    public OutputStream(OutputStream stream)

Method Detail

### write

    public void write(byte[] data)

  Description copied from interface: `IOutputStream`
  Writes a byte array into the stream.

  Specified by:
    `write` in interface `IOutputStream`
  Parameters:
    `data` - Byte array to write into the stream.

### write

    public void write(byte[] data,
                      int offset,
                      int length)

  Description copied from interface: `IOutputStream`
  Writes a byte range into the stream.

  Specified by:
    `write` in interface `IOutputStream`
  Parameters:
    `data` - Byte array to write into the stream.
    `offset` - Location in the byte array at which writing begins.
    `length` - Number of bytes to write.

### write

    public void write(String data)

  Description copied from interface: `IOutputStream`
  Writes a string into the stream.

  Specified by:
    `write` in interface `IOutputStream`
  Parameters:
    `data` - String to write into the stream.

### write

    public void write(IInputStream data)

  Description copied from interface: `IOutputStream`
  Writes an `IInputStream` into the stream.

  Specified by:
    `write` in interface `IOutputStream`
  Parameters:
    `data` - IInputStream to write into the stream.

### getLength

    public long getLength()

  Description copied from interface: `IStream`
  Gets the length of the stream.

  Specified by:
    `getLength` in interface `IStream`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

### finalize

    protected void finalize()
                     throws Throwable

  Overrides:
    `finalize` in class `Object`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.